RoyalHouse = {
  appName = "Royal House Club",
  appNameAbbr = "Royal House",
  version = "", -- Will be set by help of function GetAddonVersionFromManifest(), see file RoyalHouse.lua event_add_on_loaded
  author = "@thiagodesouza, @viniborges89, @gunxxx",
  website = "https://github.com/royal-house",
  feedback = "https://github.com/royal-house/royal-house-club-addon/issues",
  addonName = "RoyalHouse",
  savedVars = {},
}

RoyalHouse.enums = {
  armorTypes = {
    [ARMORTYPE_HEAVY] = "heavy",
    [ARMORTYPE_LIGHT] = "light",
    [ARMORTYPE_MEDIUM] = "medium",
    [ARMORTYPE_NONE] = "none",
  },

  equipeTypes = {
    [EQUIP_TYPE_CHEST] = "chest",
    [EQUIP_TYPE_COSTUME] = "costume",
    [EQUIP_TYPE_FEET] = "feet",
    [EQUIP_TYPE_HAND] = "hand",
    [EQUIP_TYPE_HEAD] = "head",
    [EQUIP_TYPE_INVALID] = "invalid",
    [EQUIP_TYPE_LEGS] = "legs",
    [EQUIP_TYPE_MAIN_HAND] = "mainHand",
    [EQUIP_TYPE_NECK] = "neck",
    [EQUIP_TYPE_OFF_HAND] = "offHand",
    [EQUIP_TYPE_ONE_HAND] = "oneHand",
    [EQUIP_TYPE_POISON] = "poison",
    [EQUIP_TYPE_RING] = "ring",
    [EQUIP_TYPE_SHOULDERS] = "shoulders",
    [EQUIP_TYPE_TWO_HAND] = "twoHand",
    [EQUIP_TYPE_WAIST] = "waist",
  },

  derivedStats = {
    [STAT_ARMOR_RATING] = "statArmorRating",
    [STAT_ATTACK_POWER] = "statAttackPower",
    [STAT_BLOCK] = "statBlock",
    [STAT_CRITICAL_RESISTANCE] = "statCriticalResistance",
    [STAT_CRITICAL_STRIKE] = "statCriticalStrike",
    [STAT_DAMAGE_RESIST_COLD] = "statDamageResistCold",
    [STAT_DAMAGE_RESIST_DISEASE] = "statDamageResistDisease",
    [STAT_DAMAGE_RESIST_DROWN] = "statDamageResistDrown",
    [STAT_DAMAGE_RESIST_EARTH] = "statDamageResistEarth",
    [STAT_DAMAGE_RESIST_FIRE] = "statDamageResistFire",
    [STAT_DAMAGE_RESIST_GENERIC] = "statDamageResistGeneric",
    [STAT_DAMAGE_RESIST_MAGIC] = "statDamageResistMagic",
    [STAT_DAMAGE_RESIST_OBLIVION] = "statDamageResistOblivion",
    [STAT_DAMAGE_RESIST_PHYSICAL] = "statDamageResistPhysical",
    [STAT_DAMAGE_RESIST_POISON] = "statDamageResistPoison",
    [STAT_DAMAGE_RESIST_SHOCK] = "statDamageResistShock",
    [STAT_DAMAGE_RESIST_START] = "statDamageResistStart",
    [STAT_DODGE] = "statDodge",
    [STAT_HEALING_DONE] = "statHealingDone",
    [STAT_HEALING_TAKEN] = "statHealingTaken",
    [STAT_HEALTH_MAX] = "statHealthMax",
    [STAT_HEALTH_REGEN_COMBAT] = "statHealthRegenCombat",
    [STAT_HEALTH_REGEN_IDLE] = "statHealthRegenIdle",
    [STAT_MAGICKA_MAX] = "statMagickaMax",
    [STAT_MAGICKA_REGEN_COMBAT] = "statMagickaRegenCombat",
    [STAT_MAGICKA_REGEN_IDLE] = "statMagickaRegenIdle",
    [STAT_MISS] = "statMiss",
    [STAT_MITIGATION] = "statMitigation",
    [STAT_MOUNT_STAMINA_MAX] = "statMountStaminaMax",
    [STAT_MOUNT_STAMINA_REGEN_COMBAT] = "statMountStaminaRegenCombat",
    [STAT_MOUNT_STAMINA_REGEN_MOVING] = "statMountStaminaRegenMoving",
    [STAT_NONE] = "statNone",
    [STAT_PHYSICAL_PENETRATION] = "statPhysicalPenetration",
    [STAT_PHYSICAL_RESIST] = "statPhysicalResist",
    [STAT_POWER] = "statPower",
    [STAT_SPELL_CRITICAL] = "statSpellCritical",
    [STAT_SPELL_MITIGATION] = "statSpellMitigation",
    [STAT_SPELL_PENETRATION] = "statSpellPenetration",
    [STAT_SPELL_POWER] = "statSpellPower",
    [STAT_SPELL_RESIST] = "statSpellResist",
    [STAT_STAMINA_MAX] = "statStaminaMax",
    [STAT_STAMINA_REGEN_COMBAT] = "statStaminaRegenCombat",
    [STAT_STAMINA_REGEN_IDLE] = "statStaminaRegenIdle",
    [STAT_WEAPON_AND_SPELL_DAMAGE] = "statWeaponAndSpellDamage",
  },
  
  equippedSlots = {
    [EQUIP_SLOT_HEAD] = "equipSlotHead",
    [EQUIP_SLOT_SHOULDERS] = "equipSlotShoulders",
    [EQUIP_SLOT_CHEST] = "equipSlotChest",
    [EQUIP_SLOT_WAIST] = "equipSlotWaist",
    [EQUIP_SLOT_HAND] = "equipSlotHand",
    [EQUIP_SLOT_LEGS] = "equipSlotLegs",
    [EQUIP_SLOT_FEET] = "equipSlotFeet",
    [EQUIP_SLOT_NECK] = "equipSlotNeck",
    [EQUIP_SLOT_RING1] = "equipSlotRing1",
    [EQUIP_SLOT_RING2] = "equipSlotRing2",
    [EQUIP_SLOT_MAIN_HAND] = "equipSlotMainHand",
    [EQUIP_SLOT_OFF_HAND] = "equipSlotOffHand",
    [EQUIP_SLOT_POISON] = "equipSlotPoison",
    [EQUIP_SLOT_BACKUP_MAIN] = "equipSlotBackupMain",
    [EQUIP_SLOT_BACKUP_OFF] = "equipSlotBackupOff",
    [EQUIP_SLOT_BACKUP_POISON] = "equipSlotBackupPoison",
  },

  hotBarCategories = {
    [HOTBAR_CATEGORY_PRIMARY] = "primary",
    [HOTBAR_CATEGORY_BACKUP] = "backup",
    [HOTBAR_CATEGORY_WEREWOLF] = "werewolf",
  },

  itemQualities = {
    [0] = "trash ",
    [1] = "normal",
    [2] = "fine",
    [3] = "superior",
    [4] = "epic",
    [5] = "legendary",
    [6] = "mythic",
  },

  itemTraitTypes = {
    [ITEM_TRAIT_TYPE_ARMOR_DIVINES] = "divines",
    [ITEM_TRAIT_TYPE_ARMOR_IMPENETRABLE] = "impenetrable",
    [ITEM_TRAIT_TYPE_ARMOR_INFUSED] = "infused",
    [ITEM_TRAIT_TYPE_ARMOR_INTRICATE] = "intricate",
    [ITEM_TRAIT_TYPE_ARMOR_NIRNHONED] = "nirnhoned",
    [ITEM_TRAIT_TYPE_ARMOR_ORNATE] = "ornate",
    [ITEM_TRAIT_TYPE_ARMOR_PROSPEROUS] = "prosperous",
    [ITEM_TRAIT_TYPE_ARMOR_REINFORCED] = "reinforced",
    [ITEM_TRAIT_TYPE_ARMOR_STURDY] = "sturdy",
    [ITEM_TRAIT_TYPE_ARMOR_TRAINING] = "training",
    [ITEM_TRAIT_TYPE_ARMOR_WELL_FITTED] = "fitted",
    [ITEM_TRAIT_TYPE_JEWELRY_ARCANE] = "arcane",
    [ITEM_TRAIT_TYPE_JEWELRY_BLOODTHIRSTY] = "bloodthirsty",
    [ITEM_TRAIT_TYPE_JEWELRY_HARMONY] = "harmony",
    [ITEM_TRAIT_TYPE_JEWELRY_HEALTHY] = "healthy",
    [ITEM_TRAIT_TYPE_JEWELRY_INFUSED] = "infused",
    [ITEM_TRAIT_TYPE_JEWELRY_INTRICATE] = "intricate",
    [ITEM_TRAIT_TYPE_JEWELRY_ORNATE] = "ornate",
    [ITEM_TRAIT_TYPE_JEWELRY_PROTECTIVE] = "protective",
    [ITEM_TRAIT_TYPE_JEWELRY_ROBUST] = "robust",
    [ITEM_TRAIT_TYPE_JEWELRY_SWIFT] = "swift",
    [ITEM_TRAIT_TYPE_JEWELRY_TRIUNE] = "triune",
    [ITEM_TRAIT_TYPE_NONE] = "none",
    [ITEM_TRAIT_TYPE_WEAPON_CHARGED] = "charged",
    [ITEM_TRAIT_TYPE_WEAPON_DECISIVE] = "decisive",
    [ITEM_TRAIT_TYPE_WEAPON_DEFENDING] = "defending",
    [ITEM_TRAIT_TYPE_WEAPON_INFUSED] = "infused",
    [ITEM_TRAIT_TYPE_WEAPON_INTRICATE] = "intricate",
    [ITEM_TRAIT_TYPE_WEAPON_NIRNHONED] = "nirnhoned",
    [ITEM_TRAIT_TYPE_WEAPON_ORNATE] = "ornate",
    [ITEM_TRAIT_TYPE_WEAPON_POWERED] = "powered",
    [ITEM_TRAIT_TYPE_WEAPON_PRECISE] = "precise",
    [ITEM_TRAIT_TYPE_WEAPON_SHARPENED] = "sharpened",
    [ITEM_TRAIT_TYPE_WEAPON_TRAINING] = "training",
  },

  itemTraitTypeCategories = {
    [ITEM_TRAIT_TYPE_CATEGORY_ARMOR] = "armor",
    [ITEM_TRAIT_TYPE_CATEGORY_INVALID] = "invalid",
    [ITEM_TRAIT_TYPE_CATEGORY_JEWELRY] = "jewelry",
    [ITEM_TRAIT_TYPE_CATEGORY_NONE] = "none",
    [ITEM_TRAIT_TYPE_CATEGORY_WEAPON] = "weapon",
  },

  platforms = {
    [0] = "XBox",
    [1] = "PS4",
    [2] = "PC",
  },

  weaponTypes = {
    [WEAPONTYPE_AXE] = "axe",
    [WEAPONTYPE_BOW] = "bow",
    [WEAPONTYPE_DAGGER] = "dagger",
    [WEAPONTYPE_FIRE_STAFF] = "fireStaff",
    [WEAPONTYPE_FROST_STAFF] = "frostStaff",
    [WEAPONTYPE_HAMMER] = "hammer",
    [WEAPONTYPE_HEALING_STAFF] = "healingStaff",
    [WEAPONTYPE_LIGHTNING_STAFF] = "lightningStaff",
    [WEAPONTYPE_NONE] = "none",
    [WEAPONTYPE_RUNE] = "rune",
    [WEAPONTYPE_SHIELD] = "shield",
    [WEAPONTYPE_SWORD] = "sword",
    [WEAPONTYPE_TWO_HANDED_AXE] = "twoHandedAxe",
    [WEAPONTYPE_TWO_HANDED_HAMMER] = "twoHandedHammer",
    [WEAPONTYPE_TWO_HANDED_SWORD] = "twoHandedSword",
  },
}